#!/usr/bin/env python3

import matplotlib.pyplot as plt
from matplotlib.lines import Line2D

methods = ['fm-bca', 'fm', 'mp-fw', 'dd-ls0', 'dd-ls3', 'mp', 'dd-ls4', 'mp-mcf', 'fw', 'hbp', 'ga']
custom_lines = [Line2D([0], [0], color=f'C{i}', label=method, lw=2) for i, method in enumerate(methods)]

plt.rc('font', size=8)
fig = plt.figure(figsize=(3, 1))
fig.legend(handles=custom_lines, loc='center', ncol=3)
fig.savefig('plots/legend.pdf')
